Subject: Re: bug#21386: 25.0.50; Make visual rectangular selection look better

From: Stefan Monnier <[email-masked]>
Date: Mon, 31 Aug 2015 13:48:52 -0400

> There is a cool new feature in Emacs 25: visual support for rectangular
> selection.  However, I would like to set its width to one pixel when it's
> “logical” width is zero columns of text.  By default it's a bit too
> bold.  Is it possible?

Shouldn't be too hard to make its width customizable.  Look for
"zero-width" in lisp/rect.el to find the relevant piece of code.

> Also, it would be cool if it didn't “shift” text on the right side of
> the selection when its width is zero.

Yes, that would be nice, but as far I know this would require changes in
the display engine, so it's a lot more work.

        Stefan